DefaultGroovyPagesUriService (Grails 3.2.8)
Date: 2017-03-23

Package: org.grails.web.pages

## [Java] Class DefaultGroovyPagesUriService

- org.grails.web.pages.DefaultGroovyPagesUriService

- Provides services for resolving URIs. Caches lookups in an internal ConcurrentMap cache.

  Authors:
    Lari Hotari , Sagire Software Oy

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GroovyPagesUriSupport` | `EXTENSION, PATH_TO_VIEWS, RELATIVE_STRING, SUFFIX`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clear()`
    `` | `java.lang.String` | `getDeployedViewURI(java.lang.String controllerName, java.lang.String viewName)`
    `` | `java.lang.String` | `getLogicalControllerName(groovy.lang.GroovyObject controller)`
    `` | `java.lang.String` | `getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)`
    `` | `java.lang.String` | `getNoSuffixViewURI(java.lang.String controllerName, java.lang.String viewName)`
    `` | `java.lang.String` | `getTemplateURI(java.lang.String controllerName, java.lang.String templateName)`
    `` | `java.lang.String` | `getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyPagesUriSupport` | `clear, getAbsoluteTemplateURI, getAbsoluteViewURI, getDeployedAbsoluteViewURI, getDeployedViewURI, getLogicalControllerName, getNoSuffixViewURI, getNoSuffixViewURI, getTemplateURI, getTemplateURI, getTemplateURI, getTemplateURI, getViewURI, getViewURI`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override public void clear()

    - #### @java.lang.Override public java.lang.String getDeployedViewURI(java.lang.String controllerName, java.lang.String viewName)

    - #### @java.lang.Override public java.lang.String getLogicalControllerName(groovy.lang.GroovyObject controller)

    - #### @java.lang.Override public java.lang.String getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)

    - #### @java.lang.Override public java.lang.String getNoSuffixViewURI(java.lang.String controllerName, java.lang.String viewName)

    - #### @java.lang.Override public java.lang.String getTemplateURI(java.lang.String controllerName, java.lang.String templateName)

    - #### @java.lang.Override public java.lang.String getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)